/*
* 文  件 名 ： showpic.js 
* 用途说明 ：JQUERY方法用于房源审核处显示房源大图 
* 作      者 ：xz
* 修改日期 ：2011-8-2
* 修改记录 ：
 */
(function($){
	$.fn.preview = function(){
		var xOffset = 20;
		var yOffset = 20;
		var w = $(window).width();//窗口宽度
		var h;
		 if($.browser.msie) {
			 if($.browser.version=='6.0'){
				 h = document.body.clientHeight-178;
			 }else{
				 h =  $(window).height();
			 }
		}else{
			h =  $(window).height();
		}
		$(this).each(function(){
			$(this).hover(function(e){
				$("#preview").remove();

				if($(this).attr('href') != "#text")
				{
					if(/.png$|.gif$|.jpg$|.bmp$/.test($(this).attr("href"))){
						$("body").append("<div id='preview'><div><img src='"+$(this).attr('href')+"' height='245' width='300' /></div></div>");
					}else{
						$("body").append("<div id='preview'><div><p>图片格式不支持!</p></div></div>");
					}
				}
				else
				{
					$("body").append("<div id='preview'><div style='width:600px;height:300px;overflow:auto;font-size:14px;line-height:20px;text-align:left;'><a href='###' style='color:red;font-size:14px;' onclick='$(\"#preview\").remove();'>X</a>&nbsp;&nbsp;"+$(this).attr('text')+"</div></div>");
				}
				
				$("#preview").css({
					position:"absolute",
					padding:"4px",
					border:"1px solid #f3f3f3",
					backgroundColor:"#eeeeee",
					zIndex:1000
				});
				$("#preview > div").css({
					padding:"5px",
					backgroundColor:"white",
					border:"1px solid #cccccc"
				});
				
				//e.pageX、 e.pageY鼠标所在位置
				if(e.pageY < h/2){
					$("#preview").css("top",(e.pageY - xOffset) + "px");
				}else{
					$("#preview").css("bottom",(h - e.pageY + xOffset) + "px");
				}
				if(e.pageX < w/2){
					$("#preview").css({left: e.pageX + xOffset + "px",right: "auto"}).fadeIn("fast");
				}else{
					$("#preview").css("right",(w - e.pageX + yOffset) + "px").css("left", "auto").fadeIn("fast");	
				}
			},function(){
				//$("#preview").remove();
			});						  
		});
	};
})(jQuery);